Bug 995358 - Bad branding in console when server starts
Bad branding in console when server starts
Status: CLOSED WORKSFORME
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: tcunning
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 03:45 EDT by Jiri Sedlacek
Modified: 2015-08-11 12:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-13 16:21:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-3614 Major Closed Bad Branding in console when server starts 2015-08-12 04:56:40 EDT

  None (edit)
Description Jiri Sedlacek 2013-08-09 03:45:54 EDT
I can see in the console when servers starts this line: 

09:40:42,085 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015874: JBoss Red Hat JBoss Fuse Service Works 6.0.0.ER1-redhat-1 (AS 7.2.0.Final-redhat-8) started in 18115ms - Started 1019 of 1117 services (94 services are passive or on-demand)

JBoss Red Hat JBoss Fuse Service Works - there is one extra JBoss there.

Please check the correct string is present in every place.
Comment 1 kconner 2013-08-20 13:48:17 EDT
This issue links in to the JON jboss-as-7 plugin and, until HAL 1.5.7, was also connected with the HAL console.

The product name from the manifest is displayed on the server console when starting and stopping, hardcoded in ProductConfig as follows

  String.format("JBoss %s %s (AS %s)", name, version, Version.AS_VERSION);

The EAP manifest file contains a product name of 'EAP' which is displayed as 'JBoss EAP ...' and is also used by the jboss-as-7-plugin to identify the type of server.  Currently the jboss-as-7 plugin looks for a product name of 'SOAP' in order to identify SOA however we will need to change this now that the product has been renamed to 'Fuse Service Works'.
Comment 2 kconner 2013-12-17 14:58:05 EST
This cannot be changed without impacting JON; we should defer this until after 6.0 final.
Comment 3 Gomathi Anandan 2014-10-24 15:07:48 EDT
Resetting the flags back to the state it was before Oct-24- 2PM. There was an incorrect bulk update that I'm trying to fix.
Comment 5 tcunning 2015-07-13 16:21:20 EDT
We're moving to JIRA to track issues for Fuse 6.2.1.    Logged https://issues.jboss.org/browse/ENTESB-3614 to track how the branding is represented in  Fuse on EAP.
Comment 6 JBoss JIRA Server 2015-08-11 12:36:24 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira ENTESB-3614 to Closed

Note You need to log in before you can comment on or make changes to this bug.